/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005 Emic Networks
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Gilles Rayrat
 * Contributor(s): 
 */

namespace CarobNS {

//Type Tag Constants
#define TT_TYPE_ERROR         -1
#define TT_STRING             0
#define TT_BIGDECIMAL         1
#define TT_BOOLEAN            2
#define TT_INTEGER            3
#define TT_LONG               4
#define TT_FLOAT              5
#define TT_DOUBLE             6
#define TT_BYTE_ARRAY         7
#define TT_SQL_DATE           8
#define TT_SQL_TIME           9
#define TT_SQL_TIMESTAMP      10
#define TT_CLOB               11
#define TT_BLOB               12
#define TT_JAVA_SERIALIZABLE  13
#define TT_JAVA_NULL          14
#define TT_RESULTSET          15
#define TT_NULL_RESULTSET     16
#define TT_FIELD              17
#define TT_COL_TYPES          18
#define TT_ROW                19
#define TT_NOT_EXCEPTION      20
#define TT_EXCEPTION          21
#define TT_BACKEND_EXCEPTION  22
#define TT_CORE_EXCEPTION     23
#define TT_CONTROLLER_READY   24
#define TT_UNDEFINED          25

#define TT_NUMBER_OF_TYPES    26

// SQL Types constants
#define SQLT_BIT              -7
#define SQLT_TINYINT          -6
#define SQLT_SMALLINT         5
#define SQLT_INTEGER          4
#define SQLT_BIGINT           -5
#define SQLT_FLOAT            6
#define SQLT_REAL             7
#define SQLT_DOUBLE           8
#define SQLT_NUMERIC          2
#define SQLT_DECIMAL          3
#define SQLT_CHAR             1
#define SQLT_VARCHAR          12
#define SQLT_LONGVARCHAR      -1
#define SQLT_DATE             91
#define SQLT_TIME             92
#define SQLT_TIMESTAMP        93
#define SQLT_BINARY           -2
#define SQLT_VARBINARY        -3
#define SQLT_LONGVARBINARY    -4
//#define SQLT_NULL             0
#define SQLT_OTHER            1111
#define SQLT_JAVA_OBJECT      2000
#define SQLT_DISTINCT         2001
#define SQLT_STRUCT           2002
#define SQLT_ARRAY            2003
#define SQLT_BLOB             2004
#define SQLT_CLOB             2005
#define SQLT_REF              2006
#define SQLT_DATALINK         70
#define SQLT_BOOLEAN          16

} //namespace CarobNS
